import type { UmbPropertyTypeContainerMergedModel } from '../../../../../content/content-type/index.js';
import { UmbLitElement } from '../../../../../core/lit-element/index.js';
import './block-workspace-view-edit-properties.element.js';
import type { UmbBlockWorkspaceElementManagerNames } from '../../block-workspace.context.js';
export declare class UmbBlockWorkspaceViewEditTabElement extends UmbLitElement {
    #private;
    get managerName(): UmbBlockWorkspaceElementManagerNames | undefined;
    set managerName(value: UmbBlockWorkspaceElementManagerNames | undefined);
    get containerId(): string | null | undefined;
    set containerId(value: string | null | undefined);
    private _containerId?;
    /**
     * If true, the group box will be hidden, if we are to only represents one group.
     * This is used by Inline Editing Mode of Block List Editor.
     */
    hideSingleGroup: boolean;
    private _groups;
    private _hasProperties;
    constructor();
    render(): import("lit-html").TemplateResult<1>;
    renderGroup(group: UmbPropertyTypeContainerMergedModel): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export default UmbBlockWorkspaceViewEditTabElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-block-workspace-view-edit-tab': UmbBlockWorkspaceViewEditTabElement;
    }
}
